# ALIFE 2022 Symbulation Tutorial

We will be hosting a introduction to Symbulation tutorial at the [ALIFE 2022 conferece](https://2022.alife.org/)!

## Overview
Symbulation is an agent-based modeling platform that enables the study of symbiosis along the parasitism to mutualism spectrum and available at [https://github.com/anyaevostinar/SymbulationEmp](https://github.com/anyaevostinar/SymbulationEmp). It uses the Empirical platform and allows for a large amount of customization based on existing functionality, including allowing symbionts to live outside or inside of hosts, lysogenic and lytic life cycles, several different spatial structures, and enabling symbionts occupying the same host to engage in a public goods game. It also supports the creation of new modes and functionality for those with some C++ experience. There are 56 current configuration options, controlled by an easy-to-use configuration file and customizable data-tracking. It also includes a web-based graphical user interface that can be customized by those with C++ knowledge. Symbulation is already being used  to study how spatial structure and multi-infection interact with the evolution of mutualistic symbiosis, the evolution of lysogeny, and the de novo evolution of endosymbiosis. It has also been used in classroom settings with advanced undergraduate computer science students. 

This tutorial will guide new users in understanding the overall architecture of Symbulation, setting up a project (using our [Cookiecutter](https://github.com/anyaevostinar/SymbulationProjectTemplate) template) to conduct an experiment using existing configuration options,  customizing the browser-based graphical user interface, and creating new functionality for those comfortable with C++. The tutorial will build on the existing guides and documentation (available at [https://symbulation.readthedocs.io/en/latest/](https://symbulation.readthedocs.io/en/latest/)) and a page for the tutorial will be created there. Attendees will also be able to shape the future directions of Symbulation by discussing new desirable features and contributing their new functionality back to the codebase if they so wish. Attendees will leave the tutorial with the start of a new research project and, ideally, lots of new ideas and potential collaborations.

All material will be hosted here, check back later for a schedule!