# Symbulation -- Agent based modeling of symbiont ecology and evolution
% MyST does not yet have support for field lists, so we need to use rST here
% see https://github.com/executablebooks/MyST-Parser/issues/163
```{eval-rst}
:Authors: Anya Vostinar and contributors. 
:GitHub: https://github.com/anyaevostinar/SymbulationEmp
```

This is a software model of symbiosis which allows for evolution of
parasitism and mutualism.

Click [here](https://anyaevostinar.github.io/SymbulationEmp/web/symbulation.html) to
try it out in your web browser!

Checkout our quick start guides for more information on getting started.

Search for any function, class or variable using the search feature in the 
top left! 


## Table of Contents
```{toctree}
:caption: Using Symbulation
:maxdepth: 2

projects/index
QuickStartGuides/index
ALIFE2022Tutorial/index
library/index
api/library_root

```

```{toctree}
:caption: Contributing to Symbulation
:maxdepth: 0

dev/Symbulation-development-practices
dev/getting-started
dev/contribution-guidelines-and-review
dev/adding-documentation
dev/guide-to-testing
```

{ref}`genindex`
