require(ggplot2)
fullcubeHelix <- c("#673F03", "#7D3002", "#891901", "#A7000F", "#B50142", "#CD0778", "#D506AD", "#E401E7", "#AB08FF","#7B1DFF", "#5731FD","#5E8EFF", "#4755FF" ,"#6FC4FE", "#86E9FE", "#96FFF7", "#B2FCE3", "#BBFFDB", "#D4FFDD", "#EFFDF0")
shorthelix <- c("#A7000F", "#E401E7","#5E8EFF","#86E9FE","#B2FCE3")
elevenhelix <- c("#673F03", "#891901", "#B50142", "#D506AD", "#AB08FF", "#5731FD", "#4755FF", "#86E9FE", "#B2FCE3", "#D4FFDD", "#EFFDF0")

setwd("~/Desktop")

initial_data <- read.table("munged_alltogether.dat", h=T)
initial_data <- read.table("munged_alltogether_hostspatial.dat", h=T)
initial_data <- subset(initial_data, update < 100000)
tasks_data <- read.table("munged_tasks.dat", h=T)
tasks_data <- subset(tasks_data, treatment=="mut0.001_mult1_vert0.5_start0.")
tasks_data <- subset(tasks_data, rep=="1003")
tasks_data <- subset(tasks_data, update < 10000)

final_data <- subset(initial_data, update=="100000")
initial_data <- final_data

mut01_mult10_vert0_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0._start0."), Treatment= "0%")
mut01_mult10_vert01_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.1_start0."), Treatment= "10%")
mut01_mult10_vert02_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.2_start0."), Treatment= "20%")
mut01_mult10_vert03_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.3_start0."), Treatment= "30%")
mut01_mult10_vert04_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.4_start0."), Treatment= "40%")
mut01_mult10_vert05_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.5_start0."), Treatment= "50%")
mut01_mult10_vert06_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.6_start0."), Treatment= "60%")
mut01_mult10_vert07_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.7_start0."), Treatment= "70%")
mut01_mult10_vert08_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.8_start0."), Treatment= "80%")
mut01_mult10_vert09_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.9_start0."), Treatment= "90%")
mut01_mult10_vert1_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert1._start0."), Treatment= "100%")

vert_sweep <- rbind(mut01_mult10_vert0_start05, mut01_mult10_vert01_start05, mut01_mult10_vert02_start05, mut01_mult10_vert03_start05, mut01_mult10_vert04_start05, mut01_mult10_vert05_start05, mut01_mult10_vert06_start05, mut01_mult10_vert07_start05, mut01_mult10_vert08_start05, mut01_mult10_vert09_start05, mut01_mult10_vert1_start05)

initial_data[is.na(initial_data)] <-0
ggplot(data=vert_sweep, aes(x=update, y=donate, group=Partner, colour=Partner)) + ylab("Mean Interaction Value") + xlab("Evolutionary time (in updates)") + stat_summary(aes(color=Partner, fill=Partner),fun.data="mean_cl_boot", geom=c("smooth")) + theme(panel.background = element_rect(fill='white', colour='black')) + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank()) + guides(fill=FALSE) + facet_wrap(~Treatment) +scale_colour_manual(values=shorthelix) + scale_fill_manual(values=shorthelix) + ylim(c(-1.0, 1.0)) + theme(axis.text.x = element_text(angle=90, hjust=1))

ggplot(data=vert_sweep, aes(x=Treatment, y=donate, colour=Partner)) + ylab("Final Mean Interaction Value") + xlab("Vertical Transmission Rate") +theme(panel.background = element_rect(fill='white', colour='black')) + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank())+ geom_boxplot() + ylim(c(-1.0,1.0)) +scale_colour_manual(values=shorthelix)

##Comparing spatial to mixed
spatial <- read.table("munged_spatial.dat", h=T)
mixed <- read.table("munged_mixed.dat", h=T)

spatial <- cbind(spatial, Reproduction="Local")
mixed <- cbind(mixed, Reproduction="Global")

mixed <- subset(mixed, update =="100000")
spatial <- subset(spatial, update=="100000")

wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0._start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0._start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0._start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0._start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.1_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.1_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.1_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.1_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.2_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.2_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.2_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.2_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.3_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.3_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.3_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.3_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.4_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.4_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.4_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.4_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.5_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.5_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.5_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.5_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.6_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.6_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.6_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.6_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.7_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.7_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.7_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.7_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.8_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.8_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.8_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.8_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert0.9_start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert0.9_start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert0.9_start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert0.9_start0.")$donate)
wilcox.test(subset(spatial, treatment=="mut0.001_mult1_vert1._start0.")$donate, subset(mixed, treatment=="mut0.001_mult1_vert1._start0.")$donate)
mean(subset(spatial, treatment=="mut0.001_mult1_vert1._start0.")$donate)
mean(subset(mixed, treatment=="mut0.001_mult1_vert1._start0.")$donate)

initial_data <- rbind(spatial, mixed)

mut01_mult10_vert0_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0._start0."), Treatment= "0%")
mut01_mult10_vert01_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.1_start0."), Treatment= "10%")
mut01_mult10_vert02_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.2_start0."), Treatment= "20%")
mut01_mult10_vert03_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.3_start0."), Treatment= "30%")
mut01_mult10_vert04_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.4_start0."), Treatment= "40%")
mut01_mult10_vert05_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.5_start0."), Treatment= "50%")
mut01_mult10_vert06_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.6_start0."), Treatment= "60%")
mut01_mult10_vert07_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.7_start0."), Treatment= "70%")
mut01_mult10_vert08_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.8_start0."), Treatment= "80%")
mut01_mult10_vert09_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert0.9_start0."), Treatment= "90%")
mut01_mult10_vert1_start05 <- cbind(subset(initial_data, treatment== "mut0.001_mult1_vert1._start0."), Treatment= "100%")

vert_sweep <- rbind(mut01_mult10_vert0_start05, mut01_mult10_vert01_start05, mut01_mult10_vert02_start05, mut01_mult10_vert03_start05, mut01_mult10_vert04_start05, mut01_mult10_vert05_start05, mut01_mult10_vert06_start05, mut01_mult10_vert07_start05, mut01_mult10_vert08_start05, mut01_mult10_vert09_start05, mut01_mult10_vert1_start05)

ggplot(data=vert_sweep, aes(x=Reproduction, y=donate, colour=Partner)) + ylab("Final Mean Interaction Value") + xlab("Vertical Transmission Rate") +theme(panel.background = element_rect(fill='white', colour='black')) + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank())+ geom_boxplot() + ylim(c(-1.0,1.0)) +scale_colour_manual(values=shorthelix) + facet_wrap(~Treatment)

vert0 <- subset(tasks_comb, treatment=="mut0.001_mult1_vert0._start0.")

ggplot(data=tasks_data, aes(x=update, y=(task_0), group=partner, colour=partner)) + ylab("Mean Amount Of Task 0") + xlab("Evolutionary time (in updates)") + stat_summary(aes(color=partner, fill=partner),fun.data="mean_cl_boot", geom=c("smooth")) + theme(panel.background = element_rect(fill='white', colour='black')) + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank()) + guides(fill=FALSE) + facet_wrap(~treatment)

##Shannon diversity time!
spatial1 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1001.dat', h=F)
spatial2 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1002.dat', h=F)
spatial3 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1003.dat', h=F)
spatial4 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1004.dat', h=F)
spatial5 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1005.dat', h=F)
spatial6 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1006.dat', h=F)
spatial7 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1007.dat', h=F)
spatial8 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1008.dat', h=F)
spatial9 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1009.dat', h=F)
spatial10 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1010.dat', h=F)
spatial11 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1011.dat', h=F)
spatial12 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1012.dat', h=F)
spatial13 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1013.dat', h=F)
spatial14 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1014.dat', h=F)
spatial15 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1015.dat', h=F)
spatial16 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1016.dat', h=F)
spatial17 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1017.dat', h=F)
spatial18 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1018.dat', h=F)
spatial19 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1019.dat', h=F)
spatial20 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_spatial1020.dat', h=F)

spatial <- rbind(spatial1, spatial2, spatial3, spatial4, spatial5, spatial6, spatial7, spatial8, spatial9, spatial10, spatial11, spatial12, spatial13, spatial14, spatial15, spatial16, spatial17, spatial18, spatial19, spatial20)

names(spatial) <- c("Update", "Diversity")
spatial <- cbind(spatial, Reproduction="Local")

mixed1 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1001.dat', h=F)
mixed2 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1002.dat', h=F)
mixed3 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1003.dat', h=F)
mixed4 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1004.dat', h=F)
mixed5 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1005.dat', h=F)
mixed6 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1006.dat', h=F)
mixed7 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1007.dat', h=F)
mixed8 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1008.dat', h=F)
mixed9 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1009.dat', h=F)
mixed10 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1010.dat', h=F)
mixed11 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1011.dat', h=F)
mixed12 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1012.dat', h=F)
mixed13 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1013.dat', h=F)
mixed14 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1014.dat', h=F)
mixed15 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1015.dat', h=F)
mixed16 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1016.dat', h=F)
mixed17 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1017.dat', h=F)
mixed18 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1018.dat', h=F)
mixed19 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1019.dat', h=F)
mixed20 <- read.table('~/Desktop/avida-spatial-tools/tests/shannon_0.4_mixed1020.dat', h=F)

mixed <- rbind(mixed1, mixed2, mixed3, mixed4, mixed5, mixed6, mixed7, mixed8, mixed9, mixed10, mixed11, mixed12, mixed13, mixed14, mixed15, mixed16, mixed17, mixed18, mixed19, mixed20)


names(mixed) <- c("Update", "Diversity")
mixed <- cbind(mixed, Reproduction="Global")

combined <- rbind(spatial, mixed)
names(combined) <- c("Update", "Diversity", "Reproduction")
combined$Update <- (combined$Update * 1000)

ggplot(data=combined, aes(x=Update, y=Diversity, group=Reproduction, colour=Reproduction)) + ylab("Mean Shannon Diversity of Local Symbionts") + xlab("Evolutionary time (in updates)") + stat_summary(aes(color=Reproduction, fill=Reproduction),fun.data="mean_cl_boot", geom=c("smooth")) + theme(panel.background = element_rect(fill='white', colour='black')) + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank()) + guides(fill=FALSE) + scale_colour_manual(values=shorthelix) + scale_fill_manual(values=shorthelix)

mean(subset(spatial, Update == "509")$Diversity)
mean(subset(mixed, Update == "509")$Diversity)
